import request from '@/utils/request'

// 查询东南亚地区发展报告列表
export function listRegionDevelop(query) {
    return request({
        url: '/vr/regionDevelop/pageList',
        method: 'get',
        params: query
    })
}

// 查询东南亚地区发展报告详细
export function getRegionDevelop(id) {
    return request({
        url: '/vr/regionDevelop/' + id,
        method: 'get'
    })
}

// 新增东南亚地区发展报告
export function addRegionDevelop(data) {
    return request({
        url: '/vr/regionDevelop',
        method: 'post',
        data: data
    })
}

// 修改东南亚地区发展报告
export function updateRegionDevelop(data) {
    return request({
        url: '/vr/regionDevelop',
        method: 'put',
        data: data
    })
}

// 删除东南亚地区发展报告
export function delRegionDevelop(id) {
    return request({
        url: '/vr/regionDevelop/' + id,
        method: 'delete'
    })
}

// 删除东南亚地区发展报告及文件
export function delFile(id) {
    return request({
        url: '/vr/regionDevelop/deleteFile/' + id,
        method: 'delete'
    })
}